> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List documents

> List documents.



## OpenAPI

````yaml /reference/manage-vanta.json get /documents
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /documents:
    get:
      tags:
        - Documents
      summary: List documents
      description: List documents.
      operationId: ListDocuments
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: >-
            Includes all documents that match one of the provided framework
            values in frameworkMatchesAny.
          in: query
          name: frameworkMatchesAny
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Includes all documents that match one of the provided status values
            in statusMatchesAny.
          in: query
          name: statusMatchesAny
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/DocumentStatus'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Document_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: '1'
                          ownerId: '2'
                          category: Account setup
                          description: >-
                            Provide two examples of a recent access request and
                            approval 
                          isSensitive: false
                          title: Document Title
                          uploadStatus: Needs document
                          uploadStatusDate: '2024-03-17T00:00:00.000Z'
                          url: https://example.com
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: '1'
                        endCursor: '1'
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    DocumentStatus:
      type: string
      enum:
        - Needs document
        - Needs update
        - Not relevant
        - OK
    PaginatedResponse_Document_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/Document'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    Document:
      properties:
        id:
          type: string
          description: The document's unique ID.
        ownerId:
          type: string
          nullable: true
          description: The user ID of the document's owner.
        category:
          $ref: '#/components/schemas/DocumentAndTestCategory'
          description: The document's category.
        description:
          type: string
          description: The document's description.
        isSensitive:
          type: boolean
          description: Determines whether or not the document is sensitive.
        title:
          type: string
          description: The document's title.
        uploadStatus:
          $ref: '#/components/schemas/DocumentStatus'
          description: The document's status.
        uploadStatusDate:
          type: string
          format: date-time
          nullable: true
          description: The date the document's uploadStatus changed.
        url:
          type: string
          nullable: true
          description: The URL to view the document within Vanta.
      required:
        - id
        - ownerId
        - category
        - description
        - isSensitive
        - title
        - uploadStatus
        - uploadStatusDate
        - url
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    DocumentAndTestCategory:
      type: string
      enum:
        - Accounts access
        - Account security
        - Account setup
        - Computers
        - Custom
        - Data storage
        - Employees
        - Infrastructure
        - IT
        - Logging
        - Monitoring alerts
        - People
        - Policies
        - Risk analysis
        - Software development
        - CSPM alert management
        - Vendors
        - Vulnerability management
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````